# eric6.WebBrowser.GreaseMonkey.GreaseMonkeyUrlInterceptor

Module implementing a handler for GreaseMonkey related URLs.

### Global Attributes

None

### Classes

GreaseMonkeyUrlInterceptor | Class implementing a handler for GreaseMonkey related URLs.

### Functions

None

## GreaseMonkeyUrlInterceptor

Class implementing a handler for GreaseMonkey related URLs.

### Derived from

UrlInterceptor

### Class Attributes

None

### Class Methods

None

### Methods

GreaseMonkeyUrlInterceptor | Constructor
interceptRequest | Public method to handle a GreaseMonkey request.

### Static Methods

None

#### GreaseMonkeyUrlInterceptor (Constructor)

GreaseMonkeyUrlInterceptor(manager)

Constructor

manager (GreaseMonkeyManager)
  reference to the GreaseMonkey manager

#### GreaseMonkeyUrlInterceptor.interceptRequest

interceptRequest(info)

Public method to handle a GreaseMonkey request.

info (QWebEngineUrlRequestInfo)
  request info object

Up